CON
  _CLKMODE = XTAL1 + PLL16X
  _CLKFREQ = 80_000_000
  Clock    = 80000000
  ms1      = Clock / 1000
  Us100    = Clock / 10000

Var
  Long Stack[9]
  byte cog

Pub Start(Pin,Delay,Count): Success
  Stop
  Success := (cog := cognew(Toggle(Pin,Delay,Count),@stack) + 1)

Pub Stop
   if cog
      cogstop(cog~ - 1)

Pub Active : YesNo
    YesNo := cog > 0

Pub Toggle(Pin,Delay,Count)
{Toggle Pin, for Count times, wait Delay clock cycles between toggles.
   if Count = 0, count forever. }
   dira[Pin]~~
   repeat
      !outa[Pin]
      waitcnt(Delay+cnt)
   while Count := --Count #> -1
   cog~